Subject: [bug#65866] [PATCH 0/8] Add built-in builder for Git checkouts

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 25 Sep 2023 11:49:44 -0400

Hi,

Simon Tournier <[email-masked]> writes:

> Re,
>
> On Mon, 25 Sep 2023 at 11:23, Ludovic Courtès <[email-masked]> wrote:
>
>>>> +  "Return a fixed-output derivation without any dependency that performs a Git
>>>> +checkout of REF, using the \"builtin:git-download\" derivation builder."
>>>
>>> I do not understand what means “without any dependency” here.
>>
>> It means the derivation does not depend on anything (it has zero
>> “sources” and zero “input derivations”).  That’s fundamental here, which
>> is why I made it explicit.
>
> For instance, in ’built-in-download’, the docstring reads:
>
> This is an \"out-of-band\" download in that the returned derivation does not
> explicitly depend on Guile, GnuTLS, etc.  Instead, the daemon performs the
> download by itself using its own dependencies.
>
> which I find “clearer” than “without any dependency”.
>
> Well, enough for nitpicking. :-)

I also think the built-in-download's docstring explicitness is nicer.

-- 
Thanks,
Maxim